/* 
   This is the standard template you should add to your book JS file before 
   customizing.

   Uncomment any of the configuration options to change the default behavior (see 
   https://macmillanhighered.atlassian.net/wiki/display/MP/Player+Configuration+Options
   for descriptions of the options).

*/

/**************************************
  Set this to the DF book ID (Subtype)
 **************************************/
xBookUtils.bookID = "";

/* 
   You only need to set the disciplines if you are using the HTML Quiz 
   question delivery method, which only BSM ebooks and HTML Quizzes are at this 
   time (in other words, if this is a FW ebook then you don't need to do a thing).  
   Change the zeros to the discipline number for each tier on PX.

   Discipline numbers:

   History: 6696 (all tiers)
   Composition: 6698 (all tiers)
   Communication: 6700 (all tiers)
   College Success: 6704 (all tiers)

   If you do not know the discipline number for your book then ask your MP.
*/
xBookUtils.discipline = {
    dev: 0,
    qa: 0,
    pr: 0,
    www: 0
}

var Player_subtype = Player_manuscript_type.extend({
    
    //cfg_removeRawHtmlDivs: "on",

    //cfg_showAnswer: "on",
    //cfg_showAnswerAutoWrapThis: "off",
    
    //cfg_Box_moveTitle: "all",
    //cfg_Box_moveTitleExclude: "",

    //cfg_Figures_targetDefault: "_blank",
    //cfg_Figures_resizeDivWidth: "off",

    //cfg_Figures_autoHtml: "on",
    //cfg_LH_autoHtml: "on",

    //cfg_LH_externalTargetDefault: "_pop",
    //cfg_LH_internalTargetDefault: "_pop",
    //cfg_LH_ebookTargetDefault: "_pop",
    //cfg_LH_imageTargetDefault: "_blank",

    //cfg_LH_useOpenContent: "on",
    //cfg_LH_useLinksFile: "on",
    
    //cfg_Glossary_hoverTerms: "on",
    //cfg_Glossary_useStickyDiv: "on",
    //cfg_Glossary_hoverTermsNoClick: "",

    initialize_sections: function() {
	
	// Do not delete this
	this._super();
	
        // Anything that needs to be done before the page displays 
	// should be done here.

	$('[data-type="section"]').first().attr("data-block_type", "intro");
	
	
    }, // end initialize_sections
    

    /* 
       You will most likely not make any changes to the initialize
       method unless you know exactly what you are doing :-)
    */
    initialize: function(id) {
	
	// Do not delete this
	this._super(id);
	
	this.xrefs = new XRefs_manuscript_subtype();
	this.glossary = new Glossary_manuscript_subtype();
        this.figures = new Figures_manuscript_subtype();	
	
    }, // end initialize
    
    initialize2: function() {
	
	// Do not delete this
        this._super();

	var link_handler = new LinkHandler();

	// Anything that can be done after the page displays 
	// should be done here.

	$('[data-block_type="intro"] h2.section-title').each(function() {
	    var $this = $(this);
	    var text = $this.text();
	    var match = text.match(/(\d+): (.*)/);
	    if (match !== null) {
		$this.html("<span class='chap_num'>" + match[1] + "</span> <span class='chap_title'>" + match[2] + "</span>");
	    }
	});


	
    } // end initialize2
    
}); // end Player_subtype


// Do not delete this
player = new Player_subtype();


